Description

Currently, artdag XMLRPC commands accept a timeout parameter, which defaults to 45 seconds. DAQInterface has transition
timeouts defined for the applications, but does not populate this parameter.

History

#1 - 02/18/2021 03:10 PM - Eric Flumerfelt

- Status changed from New to Resolved

Fixes are on artdaq:bugfix/25538_I8TolntFallback and artdag-utilities-daqinterface:bugfix/25538_SendTimeoutParameter

#2 - 02/24/2021 05:48 PM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

Both branches artdaq:bugfix/25538_18TolntFallback and artdag-utilities-daginterface:bugfix/25538 SendTimeoutParameter were tested on the
SBN-ND cluster with one NEVIS TPC boardreader running in the fake mode. Runs 647 and 648 started OK and did not timeout after 45 secs.

#3 - 03/01/2021 12:54 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_05
- Status changed from Reviewed to Closed

- Project changed from artdaq Ulilities to artdaq
